Quassel IRC - Bug #235

Filtering to "New Messages" also is triggered by "other activity
07/31/2008 03:04 PM - ZRegis
Description
Each user auto mode by a bot mark the chan as a new message:

Ex:
[10:13:59] *** Mode #amo +v Archaeopteryx par ChanServ

Decrease activity for 'Mode change' to 'another Activity' type.

To prevent wrong hightlight of chan

History

#1 - 08/01/2008 04:24 PM - EgS

mode changes don't increase the activity level to "new message".

from the sources:

ActivityLevel level = activityLevel() | OtherActivity;
if (msg.type() & (Message::Plain | Message::Notice | Message::Action))
level |= NewMessage;

| also was not able to reprduce the effect.

#2 - 08/02/2008 12:17 AM - ZRegis

My settings are Minimal Activity: New Message:

so how can this can select the chan every Mode ?

[01:14:22] --> fligtar (fligtar@moz-D5CFIABA.westin.whistler.moz08) a rejoint #addons

[01:14:22] *** Mode #addons +o fligtar par ChanServ
[01:17:50] <-- stephend (stephend@moz-D5CF9ABA.westin.whistler.m0z08) a quitté (Quit: stephend)

(edited by EgS: chopped for readability)

#3 - 08/02/2008 03:31 AM - EgS

Thanks for the feedback. This is a whole different thing.
| changed the subject to the BR to reflect the issue. | will look into it this weekend.

#4 - 08/02/2008 12:27 PM - EgS

hmm... even that | couldn't reproduce...

could you please attach a screenshot to this bugreport? Please make sure, that it's one screenshot where the following stuff is visible:

1) the buffer view with the channel having a activity level lower then "new message"
2) the buffer view settings page with the config of that particular buffer view being shown.

#5 - 10/22/2008 12:04 AM - EgS

as I've heard nothing new in this issue, I'm marking this as unable to reproduce
